263:8595f388c1d2 draft default tip
Anton Shestakov <av6@dwimlabs.net>, Tue, 09 May 2023 19:49:48 -0300
dpkg: don't install /etc/alsa/conf.d/99-pipewire-default.conf symlink This file makes ALSA use PipeWire by default, not only as pcm, but also as ctl. There's 50-pipewire.conf that makes PipeWire simply available as an ALSA device, that's fine.

previous change 141:66e31ac77c94

.hgeditor

Permissions: -rwxr-xr-x

Other formats: Feeds:
#!/bin/sh
HGTMP=""
cleanup_exit() {
rm -rf "$HGTMP"
}
# Remove temporary files even if we get interrupted
trap "cleanup_exit" 0 # normal exit
trap "exit 255" HUP INT QUIT ABRT TERM
HGTMP=$(mktemp -d "${TMPDIR-/tmp}/hgeditor.XXXXXX")
if [ -z "$HGTMP" ] || ! [ -d "$HGTMP" ]; then
echo "Could not create temporary directory! Exiting." 1>&2
exit 1
fi
LINE=$(fgrep 'HG: --- 8< ---' -nm1 "$1" | cut -d: -f1)
if [ -n "$LINE" ]; then
head -n "$(( LINE - 1 ))" "$1" > "$HGTMP/msg"
tail -n +"$(( LINE + 1 ))" "$1" | sed -e 's/^HG: //g' > "$HGTMP/diff"
else
cat "$1" > "$HGTMP/msg"
fi
MD5=$(which md5sum 2>/dev/null) || \
MD5=$(which md5 2>/dev/null)
[ -x "${MD5}" ] && CHECKSUM=$(${MD5} "$HGTMP/msg")
if [ -s "$HGTMP/diff" ]; then
vim -f "+e $HGTMP/diff" '+set buftype=help filetype=diff' "+vsplit $HGTMP/msg" '+setlocal spell' || exit $?
else
vim -f "$HGTMP/msg" '+setlocal spell' || exit $?
fi
[ -x "${MD5}" ] && (echo "$CHECKSUM" | ${MD5} -c >/dev/null 2>&1 && exit 13)
mv "$HGTMP/msg" "$1"
exit $?